import axios from 'axios';

// 登录接口
const login = async (username, password) => {
    try {
        const response = await axios.post('/app/login/accountLoginStudent', {
            username,
            password
        });
        return response.data;
    } catch (error) {
        throw new Error('网络请求失败');
    }
};

// 注册接口
const register = async (username, password) => {
    try {
        const response = await axios.post('/app/login/accountRegisterStudent', {
            username,
            password
        });
        return response.data;
    } catch (error) {
        throw new Error('网络请求失败');
    }
};

export { login, register };
 
 