"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      account: "",
      password: "",
      showPassword: false,
      remember: false
    };
  },
  computed: {
    canSubmit() {
      return this.account && this.password;
    }
  },
  methods: {
    toggleRemember(e) {
      this.remember = e.detail.value.length > 0;
    },
    async handleLogin() {
      common_vendor.index.switchTab({
        url: "/pages/homepage/index"
      });
    },
    goToRegister() {
      common_vendor.index.navigateTo({
        url: "/pages/auth/register"
      });
    },
    goToForgot() {
      common_vendor.index.navigateTo({
        url: "/pages/auth/forgot"
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.account,
    b: common_vendor.o(($event) => $data.account = $event.detail.value),
    c: $data.showPassword ? "text" : "password",
    d: $data.password,
    e: common_vendor.o(($event) => $data.password = $event.detail.value),
    f: common_vendor.t($data.showPassword ? "隐藏" : "显示"),
    g: common_vendor.o(($event) => $data.showPassword = !$data.showPassword),
    h: $data.remember,
    i: common_vendor.o((...args) => $options.toggleRemember && $options.toggleRemember(...args)),
    j: !$options.canSubmit,
    k: common_vendor.o((...args) => $options.handleLogin && $options.handleLogin(...args)),
    l: common_vendor.o((...args) => $options.goToRegister && $options.goToRegister(...args)),
    m: common_vendor.o((...args) => $options.goToForgot && $options.goToForgot(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2cc9f8c3"]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/auth/login.js.map
